Bug 1186084 - WebUI is very slow if users cannot access Google
WebUI is very slow if users cannot access Google
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Performance (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity high
: ---
: 3.6
Assigned To: Luke Brooker
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-26 20:41 EST by Ding-Yi Chen
Modified: 2016-04-18 05:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: commit ee36059d40141c68125073c97710087ac8522c26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 03:10:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2015-01-26 20:41:19 EST
Description of problem:
For users that cannot connect to Google, Zanata is very slow.
It took about 1 min for each navigation.

For example, it took 1 min and 8 second from IBus-Chewing project page 
to master branch in https://fedora.zanata.org

Version-Release number of selected component (if applicable):
Zanata 3.5.1 (git-server-3.5.1)

How reproducible:
Always.

Steps to Reproduce:
1. Run following command to block Google services (iptables)
   iptables -I INPUT -s 64.233.160.0/16 -j DROP
   iptables -I INPUT -s 66.249.64.0/16 -j DROP
   iptables -I INPUT -s 72.14.192.0/16 -j DROP
   iptables -I INPUT -s 74.125.0.0/16 -j DROP
   iptables -I INPUT -s 209.85.128.0/16 -j DROP
   iptables -I INPUT -s 216.58.0.0/16 -j DROP
   iptables -I INPUT -s 216.239.32.0/16 -j DROP

2. Ensure you get no connection with Google by 
   ping -c 5 fonts.googleapis.com
   ping -c 5 google.com 

3. Log In to https://fedora.zanata.org or any other server
4. Search ibus-chewing
5. Go to ibus-chewing project page
6. Go to master branch

Actual results:
From 3. Each operation was extreme slow, took about 1 minute to complete each step.

Expected results:
Speed difference should not be significant.

Additional info:
Comment 1 Luke Brooker 2015-01-26 20:52:15 EST
This should fix the render blocking problem: https://github.com/zanata/zanata-server/pull/672
Comment 2 Luke Brooker 2015-01-26 22:26:53 EST
Actually now https://github.com/zanata/zanata-server/pull/673
Comment 3 Ding-Yi Chen 2015-01-27 19:45:02 EST
VERIFIED with intergrate master commit ee36059d40141c68125073c97710087ac8522c26
Comment 4 Ding-Yi Chen 2015-01-27 23:15:53 EST
VERIFIED with release Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-verify-integration-master-3978-SUCCESS-1-g9e86c7d)

Note You need to log in before you can comment on or make changes to this bug.